This week's book giveaway is in the Server-Side JavaScript and NodeJS forum.
We're giving away four copies of Node.js Design Patterns: Design and implement production-grade Node.js applications using proven patterns and techniques and have Mario Casciaro & Luciano Mammino on-line!
See this thread for details.
Win a copy of Node.js Design Patterns: Design and implement production-grade Node.js applications using proven patterns and techniques this week in the Server-Side JavaScript and NodeJS forum!
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other Pie Elite all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Ron McLeod
  • Rob Spoor
  • Tim Cooke
  • Junilu Lacar
Sheriffs:
  • Henry Wong
  • Liutauras Vilda
  • Jeanne Boyarsky
Saloon Keepers:
  • Jesse Silverman
  • Tim Holloway
  • Stephan van Hulst
  • Tim Moores
  • Carey Brown
Bartenders:
  • Al Hobbs
  • Mikalai Zaikin
  • Piet Souris

NoSuchMethodError: org.apache.struts.action. ActionMapping: method getApplicationConf

 
Ranch Hand
Posts: 319
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
Any Idea why do I get this error when I deploy my Struts App in WS 5.0?

And when i refrred the Struts Docs, the Base class of ActionMapping, the org.apache.struts.config.ActionConfig seems to have the getApplicationConfig() method.
The same app when deployed in Tomcat works fine. I'm using struts 1.1 b2.
thanks
Sudharsan
 
Ranch Hand
Posts: 374
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
Sounds like what happens when you try to use mixed versions of Struts, i.e. your code was compiled and tested with the beta and is running on an app server finding another version of the code, the "official release". I've seen similar errors recently while moving from one platform to another (we're currently migrating from WAS 3.5.x to 4.x and to the newest beta of struts along with it) due to the differences in the two versions.
Check your classpath and make sure you're not picking up multiple versions of struts.
 
Consider Paul's rocket mass heater.
reply
    Bookmark Topic Watch Topic
  • New Topic